org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageStandaloneSetup.StandaloneParserModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule
        - - org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule
          - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule
            - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup.StandaloneParserModule

- All Implemented Interfaces:
    com.google.inject.Module
  Direct Known Subclasses:
    EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules
  Enclosing class:
    EMFPatternLanguageStandaloneSetup

      public static class EMFPatternLanguageStandaloneSetup.StandaloneParserModule
      extends EMFPatternLanguageRuntimeModule

  Module implementation that is optimized for headless parsing, e.g. code generation is turned off
  Since:
    2.0

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandaloneParserModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends org.eclipse.xtext.generator.IGenerator>` | `bindIGenerator()`
    `void` | `configureClasspathValidation(com.google.inject.Binder binder)`
    `void` | `configureQueryGroupGeneration(com.google.inject.Binder binder)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule

      `bindAnnotationExpressionValidator, bindAnnotationValidatorLoader, bindIBatchScopeProvider, bindIClassLoaderProvider, bindICrossReferenceSerializer, bindIDefaultResourceDescriptionStrategy, bindIErrorFeedback, bindIExpectedPackageNameProvider, bindIFormatter, bindIFragmentProvider, bindIGeneratorConfigProvider, bindIGlobalServiceProvider, bindIIssueCallback, bindIJvmModelInferrer, bindILinkingService, bindILogicalContainerProvider, bindIMetamodelProvider, bindIPureWhitelistExtensionProvider, bindIQualifiedNameProvider, bindISyntaxErrorMessageProvider, bindITypeInferrer, bindITypeSystem, bindJvmModelAssociator, bindPatternAnnotationProvider, configureIScopeProviderDelegate, configurePatternReuse`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `bindClassLoaderToInstance, bindDefaultBatchTypeResolver, bindDefaultReentrantTypeResolver, bindEMFPatternLanguageValidator, bindFeatureNameValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIGlobalScopeProvider, bindIGrammarAccess, bindILocationInFileProvider, bindIParser, bindIResourceValidator, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindIUnorderedGroupHelper, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsPersisted, configureLanguageName, configureRewritableImportSectionEnablement, configureRuntimeLexer, provideInternalEMFPatternLanguageLexer`

    - ### Methods inherited from class org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

      `bindAbstractFileSystemAccess2, bindCancelableDiagnostician, bindConfigurableIssueCodesProvider, bindEObjectAtOffsetHelper, bindIdentifiableSimpleNameProvider, bindIDerivedStateComputer, bindIEvaluationContext, bindIExpressionInterpreter, bindIJavaDocReferenceProvider, bindILinker, bindILinkingDiagnosticMessageProvider, bindIPartialParserHelper, bindIQualifiedNameConverter, bindIResourceDescription$Manager, bindIScopeProvider, bindIStratumBreakpointSupport, bindIValueConverterService, bindJvmTypeReferencesValidator, bindLineSeparatorHarmonizer, bindNodeModelBuilder, bindProjectConfigProvider, bindSeverityConverter, bindStaticImplicitMethodsFeatureForTypeProvider$ExtensionClassNameProvider, bindTargetURICollector, bindUniqueClassNameValidator, bindXtextResource, bindXtypeFactoryToInstance, configureITransientValueService, configureLinkingIScopeProvider, configureSerializerIScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindINodeModelFormatter, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureRuntimeEncodingProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandaloneParserModule

          public StandaloneParserModule()

  - ### Method Detail

    - #### bindIGenerator

          public java.lang.Class<? extends org.eclipse.xtext.generator.IGenerator> bindIGenerator()

      Overrides:
        `bindIGenerator` in class `org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule`

    - #### configureClasspathValidation

          public void configureClasspathValidation(com.google.inject.Binder binder)

      Overrides:
        `configureClasspathValidation` in class `EMFPatternLanguageRuntimeModule`
      Since:
        2.0

    - #### configureQueryGroupGeneration

          public void configureQueryGroupGeneration(com.google.inject.Binder binder)

      Overrides:
        `configureQueryGroupGeneration` in class `EMFPatternLanguageRuntimeModule`
      Since:
        2.3